none
Memory leak hotfix for SQL server 2000

    Question

  • I found kb919165 which apparently is supposed to fix a memory leak issue relating to queries on linked servers. My SQL server 2000 is version 2066. The hotfix is supposed to update it to version 2196. When I try to apply it, it gives me this error: "The product instance MSSQLServer has had update 2066 installed. You do not need to install this update. An update equal to or greater than 2303 should be downloaded."

    Is this hotfix included in the 2066 patch I downloaded from Windows update, or is there either some other way to fix the memory leak or some way to get this hotfix to install?

    Saturday, January 25, 2014 10:46 PM

All replies

  • Hello,

    It seems to me that update to reach 2196 has been applied already. Could you please run the following T-SQL statement and share with us the result?

    SELECT @@version

    If you can confirm that the build is 2096, then I would suggest you to apply the following cumulative of hotfixes:

    http://support.microsoft.com/kb/916287

    Then apply all the following hotfix related to memory leaks:

    http://support.microsoft.com/kb/916287

    Hope this helps.

    Regards,

    Alberto Morillo
    SQLCoffee.com

    Sunday, January 26, 2014 2:15 AM
    Moderator
  • I guess you should apply last build of SQL 2000 (i.e. 8.00.2305) http://www.microsoft.com/en-us/download/details.aspx?id=30533

    Balmukund Lakhani
    Please mark solved if I've answered your question, vote for it as helpful to help other users find a solution quicker
    --------------------------------------------------------------------------------
    This posting is provided "AS IS" with no warranties, and confers no rights.
    --------------------------------------------------------------------------------
    My Blog | Team Blog | @Twitter | Facebook
    Author: SQL Server 2012 AlwaysOn - Paperback, Kindle


    Sunday, January 26, 2014 2:19 AM
    Moderator
  • Like I said in the original post, my version is 2066 or, if you prefer, 8.00.2066
    Monday, January 27, 2014 4:33 PM
  • I'm not certain how the hotfix system works... if you have a hotfix patch that updates the version to something newer (i.e. 2066 to 2187) does that hotfix also fix any of the issues for hotfix builds in between those 2 numbers? Or if you need those hotfixes, do you have to very carefully apply one hotfix build building on another?

    In the first scenario, it would guarantee that installing build 2305 as you suggest would also install everything between 2066 and 2305, which would include my desired hotfix build of 2196 presumably...do you for sure that this would be the case?

    Monday, January 27, 2014 4:43 PM
  • Hello,

    I am sure that installing that cumulative of hotfixes will install all hotfixes in between those build numbers.

    Hope this helps.

    Regards,

    Alberto Morillo
    SQLCoffee.com

    Monday, January 27, 2014 7:00 PM
    Moderator
  • The problem is that apparently I can't install any patches or hotfixes for anything that has a build less than 2303...it gives me the error I mentioned in the OP

    • Edited by MillenniaIS Monday, January 27, 2014 7:54 PM
    Monday, January 27, 2014 7:27 PM
  • Hello,

    Then you don’t another option but installing the following hotfix as Balmukund mentioned above:

    http://support.microsoft.com/kb/983811/en-us

    Hope this helps.

    Regards,

    Alberto Morillo
    SQLCoffee.com

    Monday, January 27, 2014 8:09 PM
    Moderator